package jp.mosp.payroll.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

public class CdSocInsuranceDto extends BaseDto {
	
	private static final long	serialVersionUID		= 1812427511435550686L;
	
	protected String			kCode					= "";					// 社員コード
	protected String			kName					= "";					// 社員氏名
	protected String			sCode					= "";					// 所属コード
	protected Date				calcDate;										// 計算年月
	protected int				payBasicMonth1			= 0;					// 支払基礎日数1(月)
	protected int				payBasicMonth2			= 0;					// 支払基礎日数2(月)
	protected int				payBasicMonth3			= 0;					// 支払基礎日数3(月)
	protected int				payBasicDay1			= 0;					// 支払基礎日数1(日)
	protected int				payBasicDay2			= 0;					// 支払基礎日数2(日)
	protected int				payBasicDay3			= 0;					// 支払基礎日数3(日)
	protected int				payAmount1				= 0;					// 金銭の額1
	protected int				payAmount2				= 0;					// 金銭の額2
	protected int				payAmount3				= 0;					// 金銭の額3
	protected int				goodsAmount1			= 0;					// 現物の額1
	protected int				goodsAmount2			= 0;					// 現物の額2
	protected int				goodsAmount3			= 0;					// 現物の額3
	protected int				rewardTotal1			= 0;					// 報酬合計1
	protected int				rewardTotal2			= 0;					// 報酬合計2
	protected int				rewardTotal3			= 0;					// 報酬合計3
	protected int				rewardTotalSum			= 0;					// 報酬総額
	protected int				averageThreeMonths		= 0;					// ３ヶ月平均
	protected int				editAverage				= 0;					// 修正平均
	protected int				healthBefGrade			= 0;					// 健保従前等級
	protected int				healthBefPremium		= 0;					// 健保従前保険料
	protected int				pensionBefGrade			= 0;					// 厚年従前等級
	protected int				pensionBefPremium		= 0;					// 厚年従前保険料
	protected int				healthDecGrade			= 0;					// 健保決定等級
	protected int				healthDecPremium		= 0;					// 健保決定保険料
	protected int				pensionDecGrade			= 0;					// 厚年決定等級
	protected int				pensionDecPremium		= 0;					// 厚年決定保険料
	protected int				retroactivePayment		= 0;					// 遡及支払額
	protected Date				raiseDownSalaryDate;							// 昇降給年月
	protected int				raiseDownSalaryBasis	= 0;					// 昇降給差の月額
	protected Date				expectedDate;									// 適用年月
	protected int				calcResult				= 0;					// 計算結果
																				
	
	public String getKCode() {
		return kCode;
	} // 社員コード
	
	public String getKName() {
		return kName;
	} // 社員氏名
	
	public String getSCode() {
		return sCode;
	} // 所属コード
	
	public Date getCalcDate() {
		return getDateField(calcDate);
	} // 計算年月
	
	public int getPayBasicMonth1() {
		return payBasicMonth1;
	} // 支払基礎日数1(月)
	
	public int getPayBasicMonth2() {
		return payBasicMonth2;
	} // 支払基礎日数2(月)
	
	public int getPayBasicMonth3() {
		return payBasicMonth3;
	} // 支払基礎日数3(月)
	
	public int getPayBasicDay1() {
		return payBasicDay1;
	} // 支払基礎日数1(日)
	
	public int getPayBasicDay2() {
		return payBasicDay2;
	} // 支払基礎日数2(日)
	
	public int getPayBasicDay3() {
		return payBasicDay3;
	} // 支払基礎日数3(日)
	
	public int getPayAmount1() {
		return payAmount1;
	} // 金銭の額1
	
	public int getPayAmount2() {
		return payAmount2;
	} // 金銭の額2
	
	public int getPayAmount3() {
		return payAmount3;
	} // 金銭の額3
	
	public int getGoodsAmount1() {
		return goodsAmount1;
	} // 現物の額1
	
	public int getGoodsAmount2() {
		return goodsAmount2;
	} // 現物の額2
	
	public int getGoodsAmount3() {
		return goodsAmount3;
	} // 現物の額3
	
	public int getRewardTotal1() {
		return rewardTotal1;
	} // 報酬合計1
	
	public int getRewardTotal2() {
		return rewardTotal2;
	} // 報酬合計2
	
	public int getRewardTotal3() {
		return rewardTotal3;
	} // 報酬合計3
	
	public int getRewardTotalSum() {
		return rewardTotalSum;
	} // 報酬総額
	
	public int getAverageThreeMonths() {
		return averageThreeMonths;
	} // ３ヶ月平均
	
	public int getEditAverage() {
		return editAverage;
	} // 修正平均
	
	public int getHealthBefGrade() {
		return healthBefGrade;
	} // 健保従前等級
	
	public int getHealthBefPremium() {
		return healthBefPremium;
	} // 健保従前保険料
	
	public int getPensionBefGrade() {
		return pensionBefGrade;
	} // 厚年従前等級
	
	public int getPensionBefPremium() {
		return pensionBefPremium;
	} // 厚年従前保険料
	
	public int getHealthDecGrade() {
		return healthDecGrade;
	} // 健保決定等級
	
	public int getHealthDecPremium() {
		return healthDecPremium;
	} // 健保決定保険料
	
	public int getPensionDecGrade() {
		return pensionDecGrade;
	} // 厚年決定等級
	
	public int getPensionDecPremium() {
		return pensionDecPremium;
	} // 厚年決定保険料
	
	public int getRetroactivePayment() {
		return retroactivePayment;
	} // 遡及支払額
	
	public Date getRaiseDownSalaryDate() {
		return getDateField(raiseDownSalaryDate);
	} // 昇降給年月
	
	public int getRaiseDownSalaryBasis() {
		return raiseDownSalaryBasis;
	} // 昇降給差の月額
	
	public Date getExpectedDate() {
		return getDateField(expectedDate);
	} // 適用年月
	
	public int getCalcResult() {
		return calcResult;
	} // 計算結果
	
	public void setKCode(String kCode) {
		this.kCode = kCode;
	} // 社員コード
	
	public void setKName(String kName) {
		this.kName = kName;
	} // 社員氏名
	
	public void setSCode(String sCode) {
		this.sCode = sCode;
	} // 所属コード
	
	public void setCalcDate(Date calcDate) {
		this.calcDate = getDateField(calcDate);
	} // 計算年月
	
	public void setPayBasicMonth1(int payBasicMonth1) {
		this.payBasicMonth1 = payBasicMonth1;
	} // 支払基礎日数1(月)
	
	public void setPayBasicMonth2(int payBasicMonth2) {
		this.payBasicMonth2 = payBasicMonth2;
	} // 支払基礎日数2(月)
	
	public void setPayBasicMonth3(int payBasicMonth3) {
		this.payBasicMonth3 = payBasicMonth3;
	} // 支払基礎日数3(月)
	
	public void setPayBasicDay1(int payBasicDay1) {
		this.payBasicDay1 = payBasicDay1;
	} // 支払基礎日数1(日)
	
	public void setPayBasicDay2(int payBasicDay2) {
		this.payBasicDay2 = payBasicDay2;
	} // 支払基礎日数2(日)
	
	public void setPayBasicDay3(int payBasicDay3) {
		this.payBasicDay3 = payBasicDay3;
	} // 支払基礎日数3(日)
	
	public void setPayAmount1(int payAmount1) {
		this.payAmount1 = payAmount1;
	} // 金銭の額1
	
	public void setPayAmount2(int payAmount2) {
		this.payAmount2 = payAmount2;
	} // 金銭の額2
	
	public void setPayAmount3(int payAmount3) {
		this.payAmount3 = payAmount3;
	} // 金銭の額3
	
	public void setGoodsAmount1(int goodsAmount1) {
		this.goodsAmount1 = goodsAmount1;
	} // 現物の額1
	
	public void setGoodsAmount2(int goodsAmount2) {
		this.goodsAmount2 = goodsAmount2;
	} // 現物の額2
	
	public void setGoodsAmount3(int goodsAmount3) {
		this.goodsAmount3 = goodsAmount3;
	} // 現物の額3
	
	public void setRewardTotal1(int rewardTotal1) {
		this.rewardTotal1 = rewardTotal1;
	} // 報酬合計1
	
	public void setRewardTotal2(int rewardTotal2) {
		this.rewardTotal2 = rewardTotal2;
	} // 報酬合計2
	
	public void setRewardTotal3(int rewardTotal3) {
		this.rewardTotal3 = rewardTotal3;
	} // 報酬合計3
	
	public void setRewardTotalSum(int rewardTotalSum) {
		this.rewardTotalSum = rewardTotalSum;
	} // 報酬総額
	
	public void setAverageThreeMonths(int averageThreeMonths) {
		this.averageThreeMonths = averageThreeMonths;
	} // ３ヶ月平均
	
	public void setEditAverage(int editAverage) {
		this.editAverage = editAverage;
	} // 修正平均
	
	public void setHealthBefGrade(int healthBefGrade) {
		this.healthBefGrade = healthBefGrade;
	} // 健保従前等級
	
	public void setHealthBefPremium(int healthBefPremium) {
		this.healthBefPremium = healthBefPremium;
	} // 健保従前保険料
	
	public void setPensionBefGrade(int pensionBefGrade) {
		this.pensionBefGrade = pensionBefGrade;
	} // 厚年従前等級
	
	public void setPensionBefPremium(int pensionBefPremium) {
		this.pensionBefPremium = pensionBefPremium;
	} // 厚年従前保険料
	
	public void setHealthDecGrade(int healthDecGrade) {
		this.healthDecGrade = healthDecGrade;
	} // 健保決定等級
	
	public void setHealthDecPremium(int healthDecPremium) {
		this.healthDecPremium = healthDecPremium;
	} // 健保決定保険料
	
	public void setPensionDecGrade(int pensionDecGrade) {
		this.pensionDecGrade = pensionDecGrade;
	} // 厚年決定等級
	
	public void setPensionDecPremium(int pensionDecPremium) {
		this.pensionDecPremium = pensionDecPremium;
	} // 厚年決定保険料
	
	public void setRetroactivePayment(int retroactivePayment) {
		this.retroactivePayment = retroactivePayment;
	} // 遡及支払額
	
	public void setRaiseDownSalaryDate(Date raiseDownSalarydate) {
		raiseDownSalaryDate = getDateField(raiseDownSalarydate);
	} // 昇降給年月
	
	public void setRaiseDownSalaryBasis(int raiseDownSalaryBasis) {
		this.raiseDownSalaryBasis = raiseDownSalaryBasis;
	} // 昇降給差の月額
	
	public void setExpectedDate(Date expectedDate) {
		this.expectedDate = getDateField(expectedDate);
	} // 適用年月
	
	public void setCalcResult(int calcResult) {
		this.calcResult = calcResult;
	} // 計算結果
}
